Bug 10304 - (int-171315) Contacts not being recognised in Phone or SMS Conversations
(int-171315)
: Contacts not being recognised in Phone or SMS Conversations
Status: NEW
Product: Contacts
General
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified major with 12 votes (vote)
: ---
Assigned To: unassigned
: contacts-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-05-26 15:58 UTC by Paul Huey
Modified: 2010-09-26 16:55 UTC (History)
12 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Paul Huey (reporter) 2010-05-26 15:58:29 UTC
SOFTWARE VERSION:
(Settings > General > About product)

Bug is presented in two different versions:
Generic Firmware 10.2010.19-1
UK Variant 10.2010.19-1.203.1

EXACT STEPS LEADING TO PROBLEM: 
1) When receiving a phone call existing contact is not matched and displays the
phone number only. Does not display the contact name.

2) When sending or receiving SMS then existing contact is not matched and
displays the phone number only. Does not display the contact name.

Have deleted all contacts from the phone and imported back into phone, still
not resolved.

Have re-flashed the phone and started from scratch, still not resolved.

Have attempted to merge just the phone number with existing contact.

Does not seem to be matching contact when +nn for international numbers is
pre-fixed to number.

EXPECTED OUTCOME:
Displays the contact name when receiving the call.
Displays the contact name within the conversations.

ACTUAL OUTCOME:
Displays number only.

REPRODUCIBILITY:
Always.

EXTRA SOFTWARE INSTALLED:
Issue encountered with NO additional software installed, after re-flash, total
vanilla install.

Issue encountered from OTA update with following installed:
  Angry Birds
  EightyOne
  Extra Decoders Support
  Flashlight
  FM Radio Player
  fm-boost
  fMMS
  ForecaWeather widget
  Gonvert
  Headphone daemon
  KMPlayer
  Leafpad
  maelstrom
  Maep
  MediaBox Media Center
  Mozilla Runtime
  MPlayer Movie Player (command-line only)
  Ogg Support
  RAW Viewer
  Recorder
  rootsh
  Sharing plugin for fMMS
  Simple Brightness Applet
  worldtv99
  Maemo 5
  maemo-geolocation

OTHER COMMENTS:
Never encountered issue in previous versions.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.3)
Gecko/20100401 Firefox/3.6.3
Comment 1 Paul Huey (reporter) 2010-05-26 17:35:46 UTC
Noticed if call comes through in non-international format and stored in
contacts as +nn international format contact not recognized.
Comment 2 Rüdiger Schiller 2010-05-28 11:42:35 UTC
When I open the contact card from conversations some of the unrecognized
contacts are actually recognized but still only the number is shown.

I guess the "Product:" is "Contacts" as it is missing matches in phone and
texts.

I am running on global version.
Comment 3 Rüdiger Schiller 2010-05-28 12:54:21 UTC
Weird thing! The number shows in overview and message but the actual contact's
name does show in the menubar of the conversation but tapping it for contact's
card gives a "New Contact" view with the number and not the contact again.
Comment 4 Rüdiger Schiller 2010-05-28 13:13:02 UTC
To start texting from contact's SMS button from abook does work, the first time
tapping the menu for contact's card did work but chat & conversation window did
not want to close till I closed the conversation. The second time I tried it
opened the right conversation again but not the contact's card via
conversation's menubar.
Comment 5 Rüdiger Schiller 2010-05-28 15:20:28 UTC
Now I tried to merge the contact but not even that does work. It works for the
current open window, closing the conversations and opening it up again does the
same as before.
Comment 6 Rüdiger Schiller 2010-05-29 15:36:41 UTC
this can be triggered for good somehow, I managed to get one contact's sms show
with name and everything again by adding the number by hand (the one at the
texts), so I got both numbers the +xxyyy and the 0yyy at the contact's details.
Now it worked and just to try I removed the 0yyy number and the message stayed
connected with the contact it is supposed to be. 

This did not work for call-list yet! I tried it with the call-list but get the
number shown but when I hit send text the related conversation pops up but with
the number showing not the contact's name but if I hit open contact's card I
get the right contact opened. Maybe it is not working because of the pattern
the one working is without country code and the one that doesn't is with so
pattern is +xxyyy added 00xxyyy

For other contacts the +xxyyy pattern is not recognized so in the list is a
number shown as +xxyyy and the contact got it as +xxyyy (or 0yyy or 00xxyyy).
For 0yyy a change to something else and back works (or simply duplicate the
entry and delete it again)

These issues are for the stored call/conversation-history, if I call/text
someone I get the right number and the entry does match.
Comment 7 Rüdiger Schiller 2010-06-01 14:39:17 UTC
Another one, contact is fine everywhere but in call-history-tap

1. open phone
2. tap history entry (contact shown with name, any line)

Expected
Short/cut view of contact's details.

Outcome
Shown as unknown (new).

Reproduce
For some contacts on all lines (if fault occurs it does for SIP cell and skype)
Does not work in reverse yet, so numbers do not resolute in contacts any time.

Additional
Tapping send sms brings up the right conversation but with number shown instead
of name (name is in the top menu shown), tap top menu -> tap open contact card
opens the right short/cut view of contact's details.
Comment 8 Andrea Grandi 2010-06-01 18:16:41 UTC
I've exactly the same problem! This is a weird issue introduced with PR 1.2 :(
Comment 9 Liron Newman 2010-06-01 23:14:17 UTC
Happens to me as well. I'm on PR 1.2. There are at least two phone numbers that
I've noticed that show up as numbers rather than the contacts' names when they
call me or when I call them.
Comment 10 Xavier Claessens 2010-06-01 23:35:52 UTC
Do you have the phone number in more than one contact in your addressbook?
Comment 11 Dave Smith 2010-06-03 11:27:03 UTC
*** This bug has been confirmed by popular vote. ***
Comment 12 Gabriel 2010-06-07 11:00:28 UTC
(In reply to comment #10)
> Do you have the phone number in more than one contact in your addressbook?
> 

Hello,

I have the same problem (it never occurred before my upgrade to 1.2) and I
suspect it is because the number is shared by two contacts.
Comment 13 Rüdiger Schiller 2010-06-07 11:25:45 UTC
(In reply to comment #12)
> I suspect it is because the number is shared by two contacts.

Please consider reporting a new bug for the issue with shared numbers not
showing contact's name. 

(In reply to comment #10)
> Do you have the phone number in more than one contact in your addressbook?

I don't have any shared numbers (as long as my abook isn't duped and remerged
somehow)
Comment 14 Xavier Claessens 2010-06-07 11:34:22 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > I suspect it is because the number is shared by two contacts.
> 
> Please consider reporting a new bug for the issue with shared numbers not
> showing contact's name. 

It's not a bug, it's a feature!

> (In reply to comment #10)
> > Do you have the phone number in more than one contact in your addressbook?
> 
> I don't have any shared numbers (as long as my abook isn't duped and remerged
> somehow)

Could you please make totally sure the phone number which is not resolved into
name does not appear twice in your addressbook? It could be in different forms,
like with and without international code, etc. It could also come from your
local addressbook + a skype contact.
Comment 15 Gabriel 2010-06-07 11:44:40 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > (In reply to comment #12)
> > > I suspect it is because the number is shared by two contacts.
> > 
> > Please consider reporting a new bug for the issue with shared numbers not
> > showing contact's name. 
> 
> It's not a bug, it's a feature!

Ok, I can see why it's a feature, but it could at least show the name of one of
them or show the first two contact names that share the number (e.g. John Smith
or Jane Doe), it's a bit strange to get just a number because I have no idea
who it could be (and thus I don't know it I should answer or not).
> 
> > (In reply to comment #10)
> > > Do you have the phone number in more than one contact in your addressbook?
> > 
> > I don't have any shared numbers (as long as my abook isn't duped and remerged
> > somehow)
> 
> Could you please make totally sure the phone number which is not resolved into
> name does not appear twice in your addressbook? It could be in different forms,
> like with and without international code, etc. It could also come from your
> local addressbook + a skype contact.
>
Comment 16 Rüdiger Schiller 2010-06-07 11:52:16 UTC
(In reply to comment #14)
> Could you please make totally sure the phone number which is not resolved into
> name does not appear twice in your addressbook? It could be in different forms,
> like with and without international code, etc. It could also come from your
> local addressbook + a skype contact.
> 

Done, I can make the contact being shown with putting both formats into
account, at least for some, afair there was one it did not work with.
And as I wrote before, for some contacts it worked to put the number in a 2nd
time (2nd format) to show and remove the dupes again and it kept showing.

I don't have/had numbers within any IM/Skype so a no there and just checked the
first entry again an this contact has a landline and cell-number stored and
that's it for phone-numbers. The very first not showing contact's name is the
best example as it has nothing else regarding phone numbers (add. ICQ Email
b-day as single entries).
Comment 17 Paul Huey (reporter) 2010-06-07 12:08:16 UTC
I have confirmed that there are no duplicate contacts.
Comment 18 Tomi R. 2010-06-08 00:53:49 UTC
I can confirm, that I have a bug related to this one as well. I accidentally
messed up my contacts so I recovered them via importing vCard's and after that,
all was wrong. I couldn't write anymore e.g. "ma ja" (Matti Jaakkola for now),
the phone only told me "ma ja" is not on the contact's list. I managed to
temporarily fix this via typing my own name (since there's two Tomi's on my
list) and it worked fine.

I managed to get this bug back, since I updated some data between my computer
and my phone. Cleaning up contacts and reimporting N900's vCard's did not help,
now I can't use the automatic guessing anymore, although the names and photos
do show up now (both were disabled most likely due to the old vCard's on my
microSD).

Quite hard to explain but yes, I can't use automatic guessing anymore and I
have the same bug.
Comment 19 Rüdiger Schiller 2010-08-13 12:45:59 UTC
I dont know if this is in any case related but I think it might be the same
daemon/module matching contacts.

I don't have any SMS contacts anymore (I know it is weeks ago since this bug
was filed...). If I open up conversations and tap "New SMS" I won't get
anything for entered names and tapping the "To" button shows a "(No Contacts)"
window.
If there is a workaround for this to be triggered manually please let me know
and if you got any idea how to track down what is going on.
What I tried yet:
1. Killing all conversation related processes
2. Reboot
3. Changing contacts with sms entry so they get updated systemwide (at least I
thought they do)

as a backup rollback does mess up everything I didn't try yet but if no-one has
further ideas this is the next shot...
Comment 20 Rüdiger Schiller 2010-08-13 15:42:19 UTC
it is another bug already filed, if an unknown number contact is used and you
tap "to" you wont get any listings as the first contact is not recognized as
known...
https://bugs.maemo.org/show_bug.cgi?id=10460 afaik this is the same issue as
here so it is the contacts not being recognized (dupe?)
Comment 21 Dieter Plaetinck 2010-09-25 21:17:18 UTC
*** Bug 11336 has been marked as a duplicate of this bug. ***
Comment 22 Dieter Plaetinck 2010-09-25 21:19:20 UTC
Another case is making a phone call yourself.
If I select open a contact and hit 'call', it shows the contact number while
calling.  The contact name, nor his picture are shown.

Furthermore, I don't have this behavior with all contacts, only with some.   Do
you guys have some contacts for whom it does work?
Comment 23 Gabriel 2010-09-26 16:45:17 UTC
This may help some, I had several contacts (3) with the same number. At least
one of them had the number formatted like this : +41-01-234-5678, and at least
one had the number formatter like this : +41012345678. I removed the number
from two of the contacts, so that the number is owned by only one person, and
now it shows the contact name when being called. I didn't test as I was doing
this because I was just doing some addressbook spring cleaning, sorry.

Once I noticed it was working I did try to add the number to another person
(+41012345678), the contact doesn't show up when being called, but does show up
in the call list. I tried to add the number in the following format
+41-01-234-5678, but I can't using the calendar app, it has to be imported that
way. I'm not sure if that also poses problems then or not. I hope this helps
some. 

I have a question though, I feel these bug reports are not being useful, as I
feel maemo is forgotten, si anyone working on maemo bugs? Is another fremantle
bugfix release going to ever be made or have we been forgotten and only me-go
is getting worked on?

Thanks
Comment 24 Andre Klapper maemo.org 2010-09-26 16:55:51 UTC
See comment 14...

(In reply to comment #23)
> Is another fremantle bugfix release going to ever be made

That's up to Nokia and they don't announce releases or release plans in
advance. Feel free to contact Nokia as maemo.org Bugzilla is not the place to
ask.